/* カスタマイズ用CSS */

/**
 * x-modal.css
 */
.x-modal a {
    color: royalblue !important;
    text-decoration: underline !important;
}
.x-modal {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 10000;
}
.x-modal.is-active {
    display: block;
}
.x-modal .x-modal-overlay {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.65);
    z-index: 10001;
}
.x-modal .x-modal-wrap {
    position: relative;
    border-radius: 8px;
    border: 1px solid gray;
    max-width: min(500px, 80%);
    max-height: min(600px, 80%);
    background-color: white;
    transform: translate(-50%, -50%);
    left: 50%;
    top: 50%;
    z-index: 10002;
}
.x-modal .x-modal-wrap__wait {
    display: none;
    position: absolute;
    border-radius: 4px;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 10003;
}
.x-modal .x-modal-header {
    width: 100%;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 120%;
    font-weight: bold;
}
.x-modal .x-modal-body {
    width: 100%;
    height: calc(100% - (60px + 60px));
    padding: 20px;
    border-top: 1px solid gray;
    border-bottom: 1px solid gray;
    line-height: 1.8;
    text-align: justify;
}
.x-modal .x-modal-footer {
    width: 100%;
    height: 60px;
    padding-left: 20px;
    padding-right: 20px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}
.x-modal .x-modal__form {
    display: inline-flex;
    justify-content: flex-start;
    align-items: center;
}
.x-modal button,
.x-chat__modal button,
.x-chat__modal input[type=file] {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    padding: 0 12px;
    font-weight: bold;
    border: 1px solid transparent;
    text-decoration: none;
    font-size: 80%;
    color: #fff;
    background-color: #525263;
    cursor: pointer;
    user-select: none;
    touch-action: manipulation;
    width: auto;
    height: 40px;
}

#x-chat__modal .x-modal-wrap {
    display: flex;
    flex-direction: column;
    width: min(600px, 90%);
    height: min(1100px, 90%);
    min-width: min(600px, 90%);
    min-height: min(1100px, 90%);
    max-width: min(600px, 90%);
    max-height: min(1100px, 90%);
}
#x-chat__modal .x-modal-body {
    flex-grow: 1;
    height: 1px;
}
#x-chat__modal .x-modal-body .x-chat__area {
    height: 100%;
    overflow-y: scroll;
}
#x-chat__modal .x-modal-body .x-chat__area div {
}
#x-chat__modal .x-modal-footer {
    height: auto;
    padding-top: 20px;
    padding-bottom: 30px;
    flex-direction: column;
    justify-content: space-between;
}
#x-chat__modal .x-modal-footer input {
    margin-bottom: 20px;
    width: 100%;
}
#x-chat__modal .x-modal-footer textarea {
    margin-bottom: 20px;
    width: 100%;
    height: 160px;
    max-height: 500px;
}
#x-chat__modal .x-modal__form {
    display: flex;
}
#x-chat__modal .x-modal-footer__buttons {
    width: 100%;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
#x-chat__modal .x-modal-footer__buttons_inner {
    display: flex;
    justify-content: space-between;
}
#x-chat__modal .x-modal-footer__buttons__1 {
    margin-bottom: 5px;
    display: flex;
    width: 100%;
    max-width: 390px;
}
#x-chat__modal #attachmentButton {
    display: none;
}
#x-chat__modal .x-modal__sample-request {
    margin-right: 10px;
    width: 110px;
    height: 40px;
}
#x-chat__modal .x-modal__attachment {
    margin-right: 10px;
    width: 150px;
    height: 40px;
}
#x-chat__modal .x-modal__filename {
    display: inline-flex;
    jusify-content: flex-start;
    align-items: center;
    max-width: 160px;
}
#x-chat__modal .x-modal__submit,
#x-chat__modal .x-modal__close {
    width: 70px;
    height: 40px;
}
#x-chat__modal .x-modal__submit {
    margin-right: 20px;
}

/**
 * x-dropdown.css
 */
.dropdown {
    display: none;
    position: absolute;
    margin: 0;
    padding: 0 4px;
    color: black;
    background-color: white;
    border: 1px solid #a0a0a0;
    border-radius: 4px;
    padding-top: 4px;
    padding-bottom: 4px;
    z-index: 100000;
}
.dropdown div {
    width: 100%;
    border-bottom: 1px solid lightgray;
}
.dropdown ul {
    margin: 0;
    padding-left: 0;
    list-style: none;
}
.dropdown li {
    margin: 0;
    padding: 0;
    line-height: 1.5;
    cursol: pointer;
}
.dropdown li em {
    color: red;
    font-weight: bold;
}
.dropdown li:hover {
    background-color: #e0e0e6;
}
.is-active + .dropdown {
    display: block;
}

/**
 * ボタン
 */
.ec-actionBtn {
    display: inline-flex;
    justify-content: center;
    align-items: center;
	font-weight: bold;
	cursor: pointer;
	touch-action: manipulation;
	background-image: none;
	border: 1px solid transparent;
	white-space: nowrap;
	font-size: 0.875rem;
	border-radius: 1.42857142;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
    color: #ffffff !important;
    background-color: #DE5D50;
    border-color: #DE5D50;
}

/**
 * 調整用CSS
 */
.mb25 {
    margin-bottom: 25px;
}
.mb50 {
    margin-bottom: 50px;
}
.mb100 {
    margin-bottom: 100px;
}
.w50 {
    width: 50%;
}
.w30 {
    width: 30%;
}
.w20 {
    width: 20%;
}
.w15 {
    width: 15%;
}
.w-auto {
    width: auto !important;
}
.h32 {
    height: 32px;
}
.h40 {
    height: 40px;
}
.h200 {
    height: 200px;
}
.mh200 {
    min-height: 200px;
}
.mh600 {
    min-height: 600px;
}
.text-white {
    color: white;
}
